PERFORCE change 48223 for review

Peter Wemm peter at FreeBSD.org
Fri Mar 5 08:36:37 PST 2004


http://perforce.freebsd.org/chv.cgi?CH=48223

Change 48223 by peter at peter_overcee on 2004/03/05 08:35:40

	IFC @48217

Affected files ...

.. //depot/projects/hammer/bin/df/df.c#12 integrate
.. //depot/projects/hammer/bin/pax/options.c#6 integrate
.. //depot/projects/hammer/etc/pccard_ether#9 integrate
.. //depot/projects/hammer/etc/rc.d/Makefile#17 integrate
.. //depot/projects/hammer/etc/rc.d/NETWORKING#7 integrate
.. //depot/projects/hammer/etc/rc.d/accounting#5 integrate
.. //depot/projects/hammer/etc/rc.d/amd#6 integrate
.. //depot/projects/hammer/etc/rc.d/cleartmp#7 integrate
.. //depot/projects/hammer/etc/rc.d/dhclient#9 integrate
.. //depot/projects/hammer/etc/rc.d/hostname#4 integrate
.. //depot/projects/hammer/etc/rc.d/ipfilter#15 integrate
.. //depot/projects/hammer/etc/rc.d/ipsec#6 integrate
.. //depot/projects/hammer/etc/rc.d/ldconfig#9 integrate
.. //depot/projects/hammer/etc/rc.d/mountd#5 integrate
.. //depot/projects/hammer/etc/rc.d/routed#7 integrate
.. //depot/projects/hammer/etc/rc.d/rpcbind#4 integrate
.. //depot/projects/hammer/etc/rc.d/syslogd#5 integrate
.. //depot/projects/hammer/lib/libbluetooth/bluetooth.c#2 integrate
.. //depot/projects/hammer/lib/libbsnmp/Makefile.inc#3 integrate
.. //depot/projects/hammer/lib/libc/gen/dlfcn.c#5 integrate
.. //depot/projects/hammer/lib/libc/gen/getpwent.c#10 integrate
.. //depot/projects/hammer/lib/libc/net/gethostbydns.c#8 integrate
.. //depot/projects/hammer/lib/libc/rpc/getnetconfig.c#3 integrate
.. //depot/projects/hammer/lib/libpam/modules/pam_login_access/login_access.c#2 integrate
.. //depot/projects/hammer/lib/libthr/arch/i386/i386/_setcurthread.c#11 integrate
.. //depot/projects/hammer/libexec/rtld-elf/rtld.c#16 integrate
.. //depot/projects/hammer/sbin/atm/atmconfig/diag.c#4 integrate
.. //depot/projects/hammer/sbin/kldconfig/kldconfig.c#4 integrate
.. //depot/projects/hammer/sbin/raidctl/raidctl.c#2 integrate
.. //depot/projects/hammer/sbin/raidctl/rf_configure.c#2 integrate
.. //depot/projects/hammer/sbin/swapon/swapon.c#4 integrate
.. //depot/projects/hammer/sys/alpha/include/critical.h#3 integrate
.. //depot/projects/hammer/sys/amd64/amd64/critical.c#13 integrate
.. //depot/projects/hammer/sys/amd64/conf/NOTES#16 integrate
.. //depot/projects/hammer/sys/amd64/include/cpufunc.h#19 integrate
.. //depot/projects/hammer/sys/amd64/include/critical.h#12 integrate
.. //depot/projects/hammer/sys/conf/options.amd64#27 integrate
.. //depot/projects/hammer/sys/i386/conf/NOTES#33 integrate
.. //depot/projects/hammer/sys/i386/i386/critical.c#6 integrate
.. //depot/projects/hammer/sys/i386/include/cpufunc.h#7 integrate
.. //depot/projects/hammer/sys/i386/include/critical.h#4 integrate
.. //depot/projects/hammer/sys/ia64/include/critical.h#3 integrate
.. //depot/projects/hammer/sys/powerpc/include/critical.h#3 integrate
.. //depot/projects/hammer/sys/sparc64/include/critical.h#3 integrate
.. //depot/projects/hammer/sys/sys/_null.h#4 integrate
.. //depot/projects/hammer/sys/sys/param.h#27 integrate
.. //depot/projects/hammer/usr.sbin/ancontrol/ancontrol.8#4 integrate
.. //depot/projects/hammer/usr.sbin/bluetooth/hccontrol/send_recv.c#4 integrate
.. //depot/projects/hammer/usr.sbin/boot98cfg/boot98cfg.c#4 integrate
.. //depot/projects/hammer/usr.sbin/bsnmpd/bsnmpd/Makefile#3 integrate
.. //depot/projects/hammer/usr.sbin/burncd/burncd.c#7 integrate
.. //depot/projects/hammer/usr.sbin/mountd/mountd.c#9 integrate
.. //depot/projects/hammer/usr.sbin/pstat/pstat.c#7 integrate

Differences ...

==== //depot/projects/hammer/bin/df/df.c#12 (text+ko) ====

@@ -48,7 +48,7 @@
 #endif /* not lint */
 #endif
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/bin/df/df.c,v 1.54 2004/02/08 23:42:09 iedowse Exp $");
+__FBSDID("$FreeBSD: src/bin/df/df.c,v 1.55 2004/03/05 08:10:16 markm Exp $");
 
 #include <sys/param.h>
 #include <sys/stat.h>
@@ -579,7 +579,7 @@
 		*strptr = ',';
 		free(listptr[i]);
 	}
-	*(--strptr) = NULL;
+	*(--strptr) = '\0';
 
 	free(keep_xvfsp);
 	free(listptr);

==== //depot/projects/hammer/bin/pax/options.c#6 (text+ko) ====

@@ -42,7 +42,7 @@
 #endif
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/bin/pax/options.c,v 1.29 2003/05/03 16:39:33 markm Exp $");
+__FBSDID("$FreeBSD: src/bin/pax/options.c,v 1.30 2004/03/05 08:10:17 markm Exp $");
 
 #include <sys/types.h>
 #include <sys/stat.h>
@@ -1256,7 +1256,7 @@
 			 */
 			maxflt = 0;
 			while ((str = getline(stdin)) != NULL) {
-				ftree_add(str, NULL);
+				ftree_add(str, 0);
 			}
 			if (getline_error) {
 				paxwarn(1, "Problem while reading stdin");

==== //depot/projects/hammer/etc/pccard_ether#9 (text+ko) ====

@@ -1,6 +1,6 @@
 #!/bin/sh -
 #
-# $FreeBSD: src/etc/pccard_ether,v 1.39 2004/01/25 19:52:16 ambrisko Exp $
+# $FreeBSD: src/etc/pccard_ether,v 1.40 2004/03/05 08:49:59 rse Exp $
 #
 # pccard_ether interfacename [start|stop] [ifconfig option]
 #
@@ -92,7 +92,7 @@
 	[ -n "$dhcp_program" ] && dhclient_program="$dhcp_program"
 	[ -n "$dhcp_flags" ] && dhclient_flags="$dhcp_flags"
 	if [ -x "${dhclient_program}" ]; then
-		interfaces=`echo $_dhcplist ${interface} | xargs -n 1 echo | sort -u `
+		interfaces=`echo $_dhcplist ${interface} | xargs -n 1 echo | sort -u`
 		${dhclient_program} ${dhclient_flags}  ${interfaces}
 	else
 		echo "${dhclient_program}: DHCP client software not available"

==== //depot/projects/hammer/etc/rc.d/Makefile#17 (text+ko) ====

@@ -1,7 +1,5 @@
 # $NetBSD: Makefile,v 1.16 2001/01/14 15:37:22 minoura Exp $
-# $FreeBSD: src/etc/rc.d/Makefile,v 1.32 2004/03/04 21:03:36 bms Exp $
-
-.include <bsd.own.mk>
+# $FreeBSD: src/etc/rc.d/Makefile,v 1.33 2004/03/05 05:48:58 bde Exp $
 
 FILES=	DAEMON LOGIN NETWORKING SERVERS \
 	abi accounting addswap adjkerntz amd \

==== //depot/projects/hammer/etc/rc.d/NETWORKING#7 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: NETWORKING,v 1.2 2002/03/22 04:33:57 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/NETWORKING,v 1.7 2004/01/17 10:16:38 mtm Exp $
+# $FreeBSD: src/etc/rc.d/NETWORKING,v 1.8 2004/03/05 07:43:37 mtm Exp $
 #
 
 # PROVIDE: NETWORKING NETWORK
-# REQUIRE: network dhclient altqd netif routing network_ipv6 isdnd ppp-user
+# REQUIRE: dhclient netif routing network_ipv6 isdnd ppp-user
 # REQUIRE: routed mrouted route6d mroute6d
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/accounting#5 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: accounting,v 1.7 2002/03/22 04:33:57 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/accounting,v 1.6 2004/01/17 11:25:16 mtm Exp $
+# $FreeBSD: src/etc/rc.d/accounting,v 1.7 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: accounting
-# REQUIRE: mountall
+# REQUIRE: mountcritremote
 # BEFORE: DAEMON
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/amd#6 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: amd,v 1.10 2002/04/29 12:08:17 lukem Exp $
-# $FreeBSD: src/etc/rc.d/amd,v 1.11 2004/01/17 10:40:45 mtm Exp $
+# $FreeBSD: src/etc/rc.d/amd,v 1.12 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: amd
-# REQUIRE: rpcbind mountall ypbind nfsclient
+# REQUIRE: rpcbind ypbind nfsclient
 # BEFORE: DAEMON
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/cleartmp#7 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: cleartmp,v 1.4 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/cleartmp,v 1.8 2004/01/27 18:19:32 njl Exp $
+# $FreeBSD: src/etc/rc.d/cleartmp,v 1.9 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: cleartmp
-# REQUIRE: mountall
+# REQUIRE: mountcritremote
 # BEFORE: DAEMON
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/dhclient#9 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: dhclient,v 1.8 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/dhclient,v 1.13 2004/02/29 01:42:47 green Exp $
+# $FreeBSD: src/etc/rc.d/dhclient,v 1.14 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: dhclient
-# REQUIRE: network netif ipfw ipfilter mountcritlocal
+# REQUIRE: netif ipfw ipfilter mountcritlocal
 # BEFORE:  NETWORKING
 # KEYWORD: FreeBSD
 #

==== //depot/projects/hammer/etc/rc.d/hostname#4 (text+ko) ====

@@ -23,7 +23,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/rc.d/hostname,v 1.3 2003/07/30 18:53:59 mtm Exp $
+# $FreeBSD: src/etc/rc.d/hostname,v 1.5 2004/03/05 09:18:40 pjd Exp $
 #
 
 # PROVIDE: hostname
@@ -39,12 +39,20 @@
 
 hostname_start()
 {
-	# Set the host name if it is not already set
+	# If we are not inside a jail, set the host name if it is not already set.
+	# If we are inside a jail, set the host name even if it is already set,
+	# but first check if it is permitted.
 	#
-	if [ -z "`hostname -s`" ]; then
-		hostname ${hostname}
-		echo "Setting hostname: `hostname`."
+	if [ `$SYSCTL_N security.jail.jailed` -eq 1 ]; then
+		if [ `$SYSCTL_N security.jail.set_hostname_allowed` -eq 0 ]; then
+			return
+		fi
+	elif [ -n "`hostname -s`" ]; then
+		return
 	fi
+
+	hostname ${hostname}
+	echo "Setting hostname: `hostname`."
 }
 
 load_rc_config $name

==== //depot/projects/hammer/etc/rc.d/ipfilter#15 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: ipfilter,v 1.10 2001/02/28 17:03:50 lukem Exp $
-# $FreeBSD: src/etc/rc.d/ipfilter,v 1.17 2004/01/24 20:40:11 mux Exp $
+# $FreeBSD: src/etc/rc.d/ipfilter,v 1.18 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: ipfilter
-# REQUIRE: root beforenetlkm mountcritlocal ipmon
+# REQUIRE: root mountcritlocal ipmon
 # BEFORE:  netif
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/ipsec#6 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: ipsec,v 1.7 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/ipsec,v 1.8 2004/01/17 10:40:45 mtm Exp $
+# $FreeBSD: src/etc/rc.d/ipsec,v 1.9 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: ipsec
-# REQUIRE: root beforenetlkm mountcritlocal
+# REQUIRE: root mountcritlocal
 # BEFORE:  DAEMON
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/ldconfig#9 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: ldconfig,v 1.5 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/ldconfig,v 1.10 2004/01/17 10:40:45 mtm Exp $
+# $FreeBSD: src/etc/rc.d/ldconfig,v 1.11 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: ldconfig
-# REQUIRE: mountall mountcritremote
+# REQUIRE: mountcritremote
 # BEFORE:  DAEMON
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/etc/rc.d/mountd#5 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: mountd,v 1.11 2002/01/31 01:26:06 lukem Exp $
-# $FreeBSD: src/etc/rc.d/mountd,v 1.12 2004/01/17 11:31:15 mtm Exp $
+# $FreeBSD: src/etc/rc.d/mountd,v 1.13 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: mountd
-# REQUIRE: NETWORKING mountall beforemountlkm nfsserver rpcbind quota
+# REQUIRE: NETWORKING nfsserver rpcbind quota
 # KEYWORD: FreeBSD
 
 . /etc/rc.subr

==== //depot/projects/hammer/etc/rc.d/routed#7 (text+ko) ====

@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $NetBSD: routed,v 1.7 2002/03/22 04:34:00 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/routed,v 1.8 2004/01/17 10:59:43 mtm Exp $
+# $FreeBSD: src/etc/rc.d/routed,v 1.9 2004/03/05 08:03:04 mtm Exp $
 #
 
 # PROVIDE: routed
@@ -17,18 +17,7 @@
 #       subroutines in rc.subr won't catch it.
 #
 load_rc_config $name
-
 rcvar="router_enable"
 command="${router:-/sbin/${name}}"
 eval ${name}_flags=${router_flags}
-start_precmd=
-
-routed_precmd()
-{
-	if checkyesno gated && checkyesno routed; then
-		warn "gated and routed both requested to be run: only running gated."
-		return 1
-	fi
-}
-
 run_rc_command "$1"

==== //depot/projects/hammer/etc/rc.d/rpcbind#4 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: rpcbind,v 1.6 2002/01/31 01:26:06 lukem Exp $
-# $FreeBSD: src/etc/rc.d/rpcbind,v 1.8 2004/01/17 10:59:43 mtm Exp $
+# $FreeBSD: src/etc/rc.d/rpcbind,v 1.9 2004/03/05 07:43:38 mtm Exp $
 #
 
 # PROVIDE: rpcbind
-# REQUIRE: NETWORKING ntpdate syslogd named ppp
+# REQUIRE: NETWORKING ntpdate syslogd named
 # KEYWORD: FreeBSD
 
 . /etc/rc.subr

==== //depot/projects/hammer/etc/rc.d/syslogd#5 (text+ko) ====

@@ -1,11 +1,11 @@
 #!/bin/sh
 #
 # $NetBSD: syslogd,v 1.12 2002/03/22 04:34:00 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/syslogd,v 1.7 2004/01/17 11:19:01 mtm Exp $
+# $FreeBSD: src/etc/rc.d/syslogd,v 1.9 2004/03/05 07:55:04 mtm Exp $
 #
 
 # PROVIDE: syslogd
-# REQUIRE: mountcritremote sysdb wscons
+# REQUIRE: mountcritremote cleanvar
 # BEFORE:  SERVERS
 # KEYWORD: FreeBSD
 

==== //depot/projects/hammer/lib/libbluetooth/bluetooth.c#2 (text+ko) ====

@@ -26,7 +26,7 @@
  * SUCH DAMAGE.
  *
  * $Id: bluetooth.c,v 1.3 2003/05/20 23:04:30 max Exp $
- * $FreeBSD: src/lib/libbluetooth/bluetooth.c,v 1.1 2003/10/12 22:04:18 emax Exp $
+ * $FreeBSD: src/lib/libbluetooth/bluetooth.c,v 1.2 2004/03/05 08:10:17 markm Exp $
  */
 
 #include <bluetooth.h>
@@ -291,7 +291,7 @@
 	memset(ba, 0, sizeof(*ba));
 
 	for (i = 5, end = strchr(str, ':');
-	     i > 0 && *str != NULL && end != NULL;
+	     i > 0 && *str != '\0' && end != NULL;
 	     i --, str = end + 1, end = strchr(str, ':')) {
 		switch (end - str) {
 		case 1:

==== //depot/projects/hammer/lib/libbsnmp/Makefile.inc#3 (text+ko) ====

@@ -1,5 +1,6 @@
-# $FreeBSD: src/lib/libbsnmp/Makefile.inc,v 1.2 2004/01/19 19:26:01 ru Exp $
+# $FreeBSD: src/lib/libbsnmp/Makefile.inc,v 1.3 2004/03/05 08:10:17 markm Exp $
 
 SHLIB_MAJOR=	1
 WARNS?=		6
+NO_WERROR=	yes
 INCSDIR=	${INCLUDEDIR}/bsnmp

==== //depot/projects/hammer/lib/libc/gen/dlfcn.c#5 (text+ko) ====

@@ -25,7 +25,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libc/gen/dlfcn.c,v 1.11 2003/05/30 00:58:37 kan Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/gen/dlfcn.c,v 1.12 2004/03/05 08:10:17 markm Exp $");
 
 /*
  * Linkage to services provided by the dynamic linker.
@@ -109,7 +109,7 @@
 dlinfo(void * __restrict handle, int request, void * __restrict p)
 {
 	_rtld_error(sorry);
-	return NULL;
+	return 0;
 }
 
 #pragma weak _rtld_thread_init

==== //depot/projects/hammer/lib/libc/gen/getpwent.c#10 (text+ko) ====

@@ -31,7 +31,7 @@
  *
  */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libc/gen/getpwent.c,v 1.85 2004/01/12 13:33:24 nectar Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/gen/getpwent.c,v 1.86 2004/03/05 08:10:17 markm Exp $");
 
 #include "namespace.h"
 #include <sys/param.h>
@@ -1624,7 +1624,7 @@
 			case '@':
 				setnetgrent(&pw_name[2]);
 				while (getnetgrent(&host, &user, &domain) !=
-				    NULL) {
+				    0) {
 					if (user != NULL && user[0] != '\0')
 						compat_exclude(user,
 						    &st->exclude);

==== //depot/projects/hammer/lib/libc/net/gethostbydns.c#8 (text+ko) ====

@@ -58,7 +58,7 @@
 static char fromrcsid[] = "From: Id: gethnamaddr.c,v 8.23 1998/04/07 04:59:46 vixie Exp $";
 #endif /* LIBC_SCCS and not lint */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libc/net/gethostbydns.c,v 1.44 2004/02/25 21:03:45 green Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/net/gethostbydns.c,v 1.45 2004/03/05 08:10:17 markm Exp $");
 
 #include <sys/types.h>
 #include <sys/param.h>
@@ -591,11 +591,11 @@
 	if (n < 0) {
 		free(buf);
 		dprintf("res_search failed (%d)\n", n);
-		return (NULL);
+		return (0);
 	} else if (n > sizeof(buf->buf)) {
 		free(buf);
 		dprintf("static buffer is too small (%d)\n", n);
-		return (NULL);
+		return (0);
 	}
 	*(struct hostent **)rval = gethostanswer(buf, n, name, type);
 	free(buf);

==== //depot/projects/hammer/lib/libc/rpc/getnetconfig.c#3 (text+ko) ====

@@ -35,7 +35,7 @@
 #endif
 */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libc/rpc/getnetconfig.c,v 1.9 2003/02/16 17:29:10 nectar Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/rpc/getnetconfig.c,v 1.10 2004/03/05 08:10:17 markm Exp $");
 
 /*
  * Copyright (c) 1989 by Sun Microsystems, Inc.
@@ -684,11 +684,11 @@
      */
     *p = *ncp;
     p->nc_netid = (char *)strcpy(tmp,ncp->nc_netid);
-    tmp = strchr(tmp, NULL) + 1;
+    tmp = strchr(tmp, '\0') + 1;
     p->nc_protofmly = (char *)strcpy(tmp,ncp->nc_protofmly);
-    tmp = strchr(tmp, NULL) + 1;
+    tmp = strchr(tmp, '\0') + 1;
     p->nc_proto = (char *)strcpy(tmp,ncp->nc_proto);
-    tmp = strchr(tmp, NULL) + 1;
+    tmp = strchr(tmp, '\0') + 1;
     p->nc_device = (char *)strcpy(tmp,ncp->nc_device);
     p->nc_lookups = (char **)malloc((size_t)(p->nc_nlookups+1) * sizeof(char *));
     if (p->nc_lookups == NULL) {
@@ -696,7 +696,7 @@
 	return(NULL);
     }
     for (i=0; i < p->nc_nlookups; i++) {
-    	tmp = strchr(tmp, NULL) + 1;
+    	tmp = strchr(tmp, '\0') + 1;
     	p->nc_lookups[i] = (char *)strcpy(tmp,ncp->nc_lookups[i]);
     }
     return(p);

==== //depot/projects/hammer/lib/libpam/modules/pam_login_access/login_access.c#2 (text+ko) ====

@@ -14,7 +14,7 @@
 #endif
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libpam/modules/pam_login_access/login_access.c,v 1.11 2002/02/03 15:17:57 markm Exp $");
+__FBSDID("$FreeBSD: src/lib/libpam/modules/pam_login_access/login_access.c,v 1.12 2004/03/05 08:10:18 markm Exp $");
 
 #include <sys/types.h>
 #include <ctype.h>
@@ -126,7 +126,7 @@
     for (tok = strtok(list, sep); tok != 0; tok = strtok((char *) 0, sep)) {
 	if (strcasecmp(tok, "EXCEPT") == 0)	/* EXCEPT: give up */
 	    break;
-	if ((match = (*match_fn)(tok, item)) != NULL)	/* YES */
+	if ((match = (*match_fn)(tok, item)) != 0)	/* YES */
 	    break;
     }
     /* Process exceptions to matches. */

==== //depot/projects/hammer/lib/libthr/arch/i386/i386/_setcurthread.c#11 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD: src/lib/libthr/arch/i386/i386/_setcurthread.c,v 1.12 2004/02/01 15:33:01 mtm Exp $
+ * $FreeBSD: src/lib/libthr/arch/i386/i386/_setcurthread.c,v 1.13 2004/03/05 08:10:18 markm Exp $
  */
 
 #include <sys/types.h>
@@ -102,7 +102,7 @@
 	if (thr != _thread_initial)
 		_SPINLOCK(&ldt_lock);
 
-	if (ldt_inited == NULL)
+	if (ldt_inited == 0)
 		ldt_init();
 
 	if (ldt_free == NULL) {

==== //depot/projects/hammer/libexec/rtld-elf/rtld.c#16 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD: src/libexec/rtld-elf/rtld.c,v 1.92 2004/02/25 17:06:16 kan Exp $
+ * $FreeBSD: src/libexec/rtld-elf/rtld.c,v 1.93 2004/03/05 08:10:18 markm Exp $
  */
 
 /*
@@ -331,7 +331,7 @@
     obj_tail = &obj_main->next;
     obj_count++;
     /* Make sure we don't call the main program's init and fini functions. */
-    obj_main->init = obj_main->fini = NULL;
+    obj_main->init = obj_main->fini = (Elf_Addr)NULL;
 
     /* Initialize a fake symbol for resolving undefined weak references. */
     sym_zero.st_info = ELF_ST_INFO(STB_GLOBAL, STT_NOTYPE);
@@ -1068,11 +1068,11 @@
 	initlist_add_neededs(obj->needed, list);
 
     /* Add the object to the init list. */
-    if (obj->init != NULL)
+    if (obj->init != (Elf_Addr)NULL)
 	objlist_push_tail(list, obj);
 
     /* Add the object to the global fini list in the reverse order. */
-    if (obj->fini != NULL)
+    if (obj->fini != (Elf_Addr)NULL)
 	objlist_push_head(&list_fini, obj);
 }
 
@@ -1132,7 +1132,7 @@
     static const char delim[] = " \t:;";
 
     if (p == NULL)
-	return NULL;
+	return 0;
 
     p += strspn(p, delim);
     while (*p != '\0') {

==== //depot/projects/hammer/sbin/atm/atmconfig/diag.c#4 (text+ko) ====

@@ -27,7 +27,7 @@
  * Author: Hartmut Brandt <harti at freebsd.org>
  */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sbin/atm/atmconfig/diag.c,v 1.3 2004/01/26 12:17:49 harti Exp $");
+__FBSDID("$FreeBSD: src/sbin/atm/atmconfig/diag.c,v 1.4 2004/03/05 08:10:18 markm Exp $");
 
 #include <sys/types.h>
 #include <sys/sysctl.h>
@@ -232,7 +232,7 @@
 
 	if (asprintf(&str, "hw.atm.%s.phy_%s", ifname, var) == -1)
 		err(1, NULL);
-	if (sysctlbyname(str, val, &len, NULL, NULL) == -1) {
+	if (sysctlbyname(str, val, &len, NULL, 0) == -1) {
 		if (err_fatal || errno != ENOENT)
 			err(1, "%s", str);
 		free(str);

==== //depot/projects/hammer/sbin/kldconfig/kldconfig.c#4 (text+ko) ====

@@ -25,7 +25,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sbin/kldconfig/kldconfig.c,v 1.5 2003/05/03 18:41:57 obrien Exp $");
+__FBSDID("$FreeBSD: src/sbin/kldconfig/kldconfig.c,v 1.6 2004/03/05 08:10:18 markm Exp $");
 
 #include <sys/param.h>
 #include <sys/types.h>
@@ -113,14 +113,14 @@
 
 	if (miblen == 0)
 		getmib();
-	if (sysctl(mib, miblen, NULL, &sz, NULL, NULL) == -1)
+	if (sysctl(mib, miblen, NULL, &sz, NULL, 0) == -1)
 		err(1, "getting path: sysctl(%s) - size only", pathctl);
 	if ((path = malloc(sz + 1)) == NULL) {
 		errno = ENOMEM;
 		err(1, "allocating %lu bytes for the path",
 		    (unsigned long)sz+1);
 	}
-	if (sysctl(mib, miblen, path, &sz, NULL, NULL) == -1)
+	if (sysctl(mib, miblen, path, &sz, NULL, 0) == -1)
 		err(1, "getting path: sysctl(%s)", pathctl);
 	modpath = path;
 }

==== //depot/projects/hammer/sbin/raidctl/raidctl.c#2 (text+ko) ====

@@ -23,7 +23,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *	$FreeBSD: src/sbin/raidctl/raidctl.c,v 1.1 2002/10/20 08:17:34 scottl Exp $
+ *	$FreeBSD: src/sbin/raidctl/raidctl.c,v 1.2 2004/03/05 08:10:18 markm Exp $
  */
 
 /*      $NetBSD: raidctl.c,v 1.25 2000/10/31 14:18:39 lukem Exp $   */
@@ -272,7 +272,7 @@
 	argc -= optind;
 	argv += optind;
 
-	if ((num_options > 1) || (argc == NULL)) 
+	if ((num_options > 1) || (argc == 0)) 
 		usage();
 
 	strncpy(name,argv[0],PATH_MAX);

==== //depot/projects/hammer/sbin/raidctl/rf_configure.c#2 (text+ko) ====

@@ -1,4 +1,4 @@
-/*	$FreeBSD: src/sbin/raidctl/rf_configure.c,v 1.1 2002/10/20 08:17:34 scottl Exp $ */
+/*	$FreeBSD: src/sbin/raidctl/rf_configure.c,v 1.2 2004/03/05 08:10:18 markm Exp $ */
 /*	$NetBSD: rf_configure.c,v 1.13 2001/01/27 19:32:47 oster Exp $	*/
 
 /*
@@ -249,7 +249,7 @@
 			}
 			/* Get rid of the newline at the end of the string */
 			if ((bfr1 = strchr(&bfr[0], '\n')) != NULL)
-				*bfr1 = NULL;
+				*bfr1 = '\0';
 			/* Make sure the device exists */
 			if ((devfd = open(&bfr[0], O_RDWR)) < 0) {
 				RF_ERRORMSG2(

==== //depot/projects/hammer/sbin/swapon/swapon.c#4 (text+ko) ====

@@ -43,7 +43,7 @@
 #endif /* not lint */
 #endif
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sbin/swapon/swapon.c,v 1.18 2003/05/03 18:41:59 obrien Exp $");
+__FBSDID("$FreeBSD: src/sbin/swapon/swapon.c,v 1.19 2004/03/05 08:10:18 markm Exp $");
 
 #include <sys/stat.h>
 #include <sys/param.h>
@@ -254,7 +254,7 @@
 	for (n = 0; ; ++n) {
 		mib[mibsize] = n;
 		size = sizeof xsw;
-		if (sysctl(mib, mibsize + 1, &xsw, &size, NULL, NULL) == -1)
+		if (sysctl(mib, mibsize + 1, &xsw, &size, NULL, 0) == -1)
 			break;
 		if (xsw.xsw_version != XSWDEV_VERSION)
 			errx(1, "xswdev version mismatch");

==== //depot/projects/hammer/sys/alpha/include/critical.h#3 (text+ko) ====

@@ -33,7 +33,7 @@
  *	related support functions residing
  *	in <arch>/<arch>/critical.c	- prototyped
  *
- * $FreeBSD: src/sys/alpha/include/critical.h,v 1.3 2003/08/12 23:24:03 imp Exp $
+ * $FreeBSD: src/sys/alpha/include/critical.h,v 1.4 2004/03/05 09:19:59 le Exp $
  */
 
 #ifndef _MACHINE_CRITICAL_H_
@@ -81,8 +81,8 @@
 
 #else /* !__GNUC__ */
 
-void cpu_critical_enter(void)
-void cpu_critical_exit(void)
+void cpu_critical_enter(void);
+void cpu_critical_exit(void);
 
 #endif	/* __GNUC__ */
 

==== //depot/projects/hammer/sys/amd64/amd64/critical.c#13 (text+ko) ====

@@ -26,15 +26,19 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sys/amd64/amd64/critical.c,v 1.13 2003/12/06 23:13:22 peter Exp $");
+__FBSDID("$FreeBSD: src/sys/amd64/amd64/critical.c,v 1.14 2004/03/05 14:31:21 bde Exp $");
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/proc.h>
+
 #include <machine/critical.h>
+#include <machine/psl.h>
 
 /*
  * cpu_critical_fork_exit() - cleanup after fork
+ *
+ *	Enable interrupts in the saved copy of eflags.
  */
 void
 cpu_critical_fork_exit(void)

==== //depot/projects/hammer/sys/amd64/conf/NOTES#16 (text+ko) ====

@@ -5,7 +5,7 @@
 # machine independent notes, look in /sys/conf/NOTES.
 #
 # (XXX from i386:NOTES,v 1.1132)
-# $FreeBSD: src/sys/amd64/conf/NOTES,v 1.6 2004/03/05 05:08:22 obrien Exp $
+# $FreeBSD: src/sys/amd64/conf/NOTES,v 1.10 2004/03/05 08:04:10 obrien Exp $
 #
 
 # We don't have modules on amd64.
@@ -13,7 +13,7 @@
 
 #
 # This directive is mandatory; it defines the architecture to be
-# configured for; in this case, AMD64 family based machines.
+# configured for; in this case, the AMD64 family based machines.
 #
 machine		amd64
 
@@ -260,9 +260,9 @@
 # nsp: Workbit Ninja SCSI-3 based PC Card SCSI host adapters.
 # stg: TMC 18C30, 18C50 based SCSI host adapters.
 
-device          ncv
-device          nsp
-device          stg
+device		ncv
+device		nsp
+device		stg
 
 #
 # Adaptec FSA RAID controllers, including integrated DELL controllers,
@@ -287,7 +287,6 @@
 #
 # Miscellaneous hardware:
 #
-# cy: Cyclades serial driver
 # digi: Digiboard driver
 
 # Notes on the Specialix SI/XIO driver:

==== //depot/projects/hammer/sys/amd64/include/cpufunc.h#19 (text+ko) ====

@@ -31,7 +31,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/amd64/include/cpufunc.h,v 1.139 2004/01/28 23:53:04 peter Exp $
+ * $FreeBSD: src/sys/amd64/include/cpufunc.h,v 1.140 2004/03/05 09:19:59 le Exp $
  */
 
 /*
@@ -744,9 +744,9 @@
 void	ltr(u_short sel);
 void	outb(u_int port, u_char data);
 void	outl(u_int port, u_int data);
-void	outsb(u_int port, void *addr, size_t cnt);
-void	outsl(u_int port, void *addr, size_t cnt);
-void	outsw(u_int port, void *addr, size_t cnt);
+void	outsb(u_int port, const void *addr, size_t cnt);
+void	outsl(u_int port, const void *addr, size_t cnt);
+void	outsw(u_int port, const void *addr, size_t cnt);
 void	outw(u_int port, u_short data);
 void	ia32_pause(void);
 u_int	rcr0(void);

==== //depot/projects/hammer/sys/amd64/include/critical.h#12 (text+ko) ====

@@ -33,7 +33,7 @@
  *	related support functions residing
  *	in <arch>/<arch>/critical.c	- prototyped
  *
- * $FreeBSD: src/sys/amd64/include/critical.h,v 1.6 2003/12/06 23:13:22 peter Exp $
+ * $FreeBSD: src/sys/amd64/include/critical.h,v 1.7 2004/03/05 09:19:59 le Exp $
  */
 
 #ifndef _MACHINE_CRITICAL_H_
@@ -75,8 +75,8 @@
 
 #else /* !__GNUC__ */
 
-void cpu_critical_enter(void)
-void cpu_critical_exit(void)
+void cpu_critical_enter(void);
+void cpu_critical_exit(void);
 
 #endif	/* __GNUC__ */
 

==== //depot/projects/hammer/sys/conf/options.amd64#27 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/sys/conf/options.amd64,v 1.12 2004/03/05 04:38:58 obrien Exp $
+# $FreeBSD: src/sys/conf/options.amd64,v 1.13 2004/03/05 07:56:23 obrien Exp $
 # Options specific to AMD64 platform kernels
 
 AUTO_EOI_1		opt_auto_eoi.h

==== //depot/projects/hammer/sys/i386/conf/NOTES#33 (text+ko) ====

@@ -4,7 +4,7 @@
 # This file contains machine dependent kernel configuration notes.  For
 # machine independent notes, look in /sys/conf/NOTES.
 #
-# $FreeBSD: src/sys/i386/conf/NOTES,v 1.1132 2004/03/03 12:43:59 rik Exp $
+# $FreeBSD: src/sys/i386/conf/NOTES,v 1.1133 2004/03/05 08:04:10 obrien Exp $
 #
 
 #
@@ -509,6 +509,7 @@
 #       DE101, DE200, DE201, DE202, DE203, DE204, DE205, DE422)
 # lnc:  Lance/PCnet cards (Isolan, Novell NE2100, NE32-VL, AMD Am7990 and
 #       Am79C960)
+# nv:	nVidia nForce MCP on-board Networking.
 # oltr: Olicom ISA token-ring adapters OC-3115, OC-3117, OC-3118 and OC-3133.
 #       Olicom PCI token-ring adapters OC-3136, OC-3137, OC-3139, OC-3140,
 #       OC-3141, OC-3540 and OC-3250.
@@ -560,7 +561,7 @@
 hint.lnc.0.port="0x280"
 hint.lnc.0.irq="10"
 hint.lnc.0.drq="0"
-#device		nv
+device		nv
 device		rdp	1
 hint.rdp.0.at="isa"
 hint.rdp.0.port="0x378"
@@ -1100,7 +1101,7 @@
 options 	PECOFF_SUPPORT
 options 	PECOFF_DEBUG
 
-options 	ENABLE_ALART
+options 	ENABLE_ALART		# Control alarm on Intel intpm driver
 options 	I4B_SMP_WORKAROUND
 options 	I586_PMC_GUPROF=0x70000
 options 	KBDIO_DEBUG=2

==== //depot/projects/hammer/sys/i386/i386/critical.c#6 (text+ko) ====

@@ -26,12 +26,14 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sys/i386/i386/critical.c,v 1.12 2003/11/03 21:06:54 jhb Exp $");
+__FBSDID("$FreeBSD: src/sys/i386/i386/critical.c,v 1.13 2004/03/05 14:23:13 bde Exp $");
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/proc.h>
+
 #include <machine/critical.h>
+#include <machine/psl.h>
 
 /*
  * cpu_critical_fork_exit() - cleanup after fork

==== //depot/projects/hammer/sys/i386/include/cpufunc.h#7 (text+ko) ====

@@ -30,7 +30,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/i386/include/cpufunc.h,v 1.135 2003/08/06 18:21:27 bde Exp $
+ * $FreeBSD: src/sys/i386/include/cpufunc.h,v 1.138 2004/03/05 15:30:40 bde Exp $
  */
 
 /*
@@ -42,13 +42,8 @@
 #ifndef _MACHINE_CPUFUNC_H_
 #define	_MACHINE_CPUFUNC_H_
 
-#include <sys/cdefs.h>
-#include <machine/psl.h>
-
-struct thread;
 struct region_descriptor;
 
-__BEGIN_DECLS
 #define readb(va)	(*(volatile u_int8_t *) (va))
 #define readw(va)	(*(volatile u_int16_t *) (va))
 #define readl(va)	(*(volatile u_int32_t *) (va))
@@ -469,21 +464,18 @@
 	__asm __volatile("movl %0,%%gs" : : "rm" (sel));
 }
 
-/* void lidt(struct region_descriptor *addr); */
 static __inline void
 lidt(struct region_descriptor *addr)
 {
 	__asm __volatile("lidt (%0)" : : "r" (addr));
 }
 
-/* void lldt(u_short sel); */
 static __inline void
 lldt(u_short sel)
 {
 	__asm __volatile("lldt %0" : : "r" (sel));
 }
 
-/* void ltr(u_short sel); */
 static __inline void
 ltr(u_short sel)
 {
@@ -623,74 +615,68 @@
 int	breakpoint(void);
 u_int	bsfl(u_int mask);
 u_int	bsrl(u_int mask);
-void	cpu_invlpg(u_int addr);
-void	cpu_invlpg_range(u_int start, u_int end);
 void	disable_intr(void);
 void	do_cpuid(u_int ax, u_int *p);
 void	enable_intr(void);
 void	halt(void);
+void	ia32_pause(void);
 u_char	inb(u_int port);
 u_int	inl(u_int port);
 void	insb(u_int port, void *addr, size_t cnt);
 void	insl(u_int port, void *addr, size_t cnt);
 void	insw(u_int port, void *addr, size_t cnt);
+register_t	intr_disable(void);
+void	intr_restore(register_t ef);
 void	invd(void);
 void	invlpg(u_int addr);
-void	invlpg_range(u_int start, u_int end);
 void	invltlb(void);
 u_short	inw(u_int port);
+void	lidt(struct region_descriptor *addr);
+void	lldt(u_short sel);
 void	load_cr0(u_int cr0);
 void	load_cr3(u_int cr3);

>>> TRUNCATED FOR MAIL (1000 lines) <<<


More information about the p4-projects mailing list